summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christian Wansart2010-05-13 00:58:01 +0200
committer Robby Workman2010-05-13 00:58:01 +0200
commitc1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab (patch)
treecaca39012b64682190b169d41929d3e56a635e3b
parent6ea014bd674af3c25c479ff4b70f37902febafb2 (diff)
downloadslackbuilds-c1f4be1b1b87dec8454f1eb1e15e2b6e931f35ab.tar.gz
development/qdoc3: Added to 13.0 repository
-rw-r--r--development/qdoc3/README6
-rw-r--r--development/qdoc3/qdoc3.SlackBuild76
-rw-r--r--development/qdoc3/qdoc3.info10
-rw-r--r--development/qdoc3/slack-desc18
4 files changed, 110 insertions, 0 deletions
diff --git a/development/qdoc3/README b/development/qdoc3/README
new file mode 100644
index 0000000000..bc1ab99538
--- /dev/null
+++ b/development/qdoc3/README
@@ -0,0 +1,6 @@
+qdoc3 is the tool used to generate the Qt reference documentation.
+
+qdoc3 is obsolete. It *was* the tool to generate the Qt reference
+documentation, but it is still contained in the Qt package due to the GPL.
+If you're interested in building Qt Creator, you'll probably need qdoc3
+to build its documentation.
diff --git a/development/qdoc3/qdoc3.SlackBuild b/development/qdoc3/qdoc3.SlackBuild
new file mode 100644
index 0000000000..236cd49dca
--- /dev/null
+++ b/development/qdoc3/qdoc3.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Copyright (c) 2009 Christian Wansart
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. The name of the author may not be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Christian Wansart <christian.wansart@gmx.net> revision date 2009/10/31
+
+PRGNAM=qdoc3
+VERSION=${VERSION:-4.5.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRC_NAME=qt-x11-opensource-src-$VERSION
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SRC_NAME
+cd $TMP
+tar xvf $CWD/$SRC_NAME.tar.bz2
+chown -R root:root $SRC_NAME
+chmod -R u+w,go+r-w,a-s $SRC_NAME
+
+cd $SRC_NAME/tools/$PRGNAM
+qmake QMAKE_CXXFLAGS="$SLKCFLAGS" $PRGNAM.pro
+make
+
+# Copy qdoc3 binary to $TMP because there is no install label in the Makefile
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/qt/tools/qdoc3/
+cp -a qdoc3 $PKG/usr/lib${LIBDIRSUFFIX}/qt/tools/qdoc3
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/qdoc3/qdoc3.info b/development/qdoc3/qdoc3.info
new file mode 100644
index 0000000000..eb82003421
--- /dev/null
+++ b/development/qdoc3/qdoc3.info
@@ -0,0 +1,10 @@
+PRGNAM="qdoc3"
+VERSION="4.5.1"
+HOMEPAGE="http://qt.nokia.com"
+DOWNLOAD="http://get.qt.nokia.com/qt/source/qt-x11-opensource-src-4.5.1.tar.bz2"
+MD5SUM="afc43e566341cf3e5ed0bcb974f0c3b2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Christian Wansart"
+EMAIL="christian.wansart@gmx.net"
+APPROVED="rworkman"
diff --git a/development/qdoc3/slack-desc b/development/qdoc3/slack-desc
new file mode 100644
index 0000000000..c6f07d5875
--- /dev/null
+++ b/development/qdoc3/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qdoc3: qdoc3 (tool used to generate the Qt reference documentation)
+qdoc3:
+qdoc3: qdoc3 is obsolete. It *was* the tool to generate the Qt reference
+qdoc3: documentation, but it is still contained in the Qt package due to the
+qdoc3: GPL. If you're interested in building Qt Creator, you'll probably
+qdoc3: need qdoc3 to build its documentation.
+qdoc3:
+qdoc3: http://qt.nokia.com
+qdoc3:
+qdoc3: